Bug Hunting Session
Bug 59778 - FORMATTING: conditional formatting don't show preview of selected style after opening file
Summary: FORMATTING: conditional formatting don't show preview of selected style after...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-23 20:27 UTC by bull
Modified: 2013-02-02 09:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
preview (157.00 KB, image/jpeg)
2013-01-23 20:27 UTC, bull
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bull 2013-01-23 20:27:03 UTC
Created attachment 73539 [details]
preview

conditional formatting don't show preview of selected style after opening file

Version 4.0.0.1+ (Build ID: 1ecb30cede30fea5a6a239d3d8da8ebbf8b79bf)
TinderBox: Linux-x86_64_11-Release-Configuration, Branch:libreoffice-4-0, Time: 2013-01-22_06:40:47

Steps to reproduce:
1. File > New > Spreadsheet
2. select A1
3. insert text "Lorem ipsum" > press Enter
4. select A1
5. Format > Conditional Formatting > Condition > "Formula is" > insert "B1=1" > select  "New Style..."
in new window:
6. insert Name "test" > Font Effect > set Font color to "Light Red" > OK 
in window "Conditional formatting":
7. (now LO show preview of selected style with red ink) > press OK
8. save file to "test.ods" and close it
9. open test.ods
10. Format > Condittional Formatting > Condition
now LO don't show in preview selected style with red ink !

Operating System: Ubuntu
Version: 4.0.0.1+ (Build ID: 1ecb30cede30fea5a6a239d3d8da8ebbf8b79bf)
TinderBox: Linux-x86_64_11-Release-Configuration, Branch:libreoffice-4-0, Time: 2013-01-22_06:40:47
Comment 1 bull 2013-01-24 15:42:59 UTC
Confirm this bug in:
Verze 4.0.1.0+ .1.0 (ID sestavení: a6433b4a9c053b7088d52b216c7d7cf8d9cdfcd)
TinderBox: Linux-x86_64_11-Release-Configuration, Branch:libreoffice-4-0, Time: 2013-01-24_08:23:47
Comment 2 Michel Rudelle 2013-01-25 17:00:32 UTC
Hi,
I reproduce.
This behaviour happens when conditions  "Formula is" or "Date is" are selected 
and NOT when condition "Cell value is" is selected.

Version 4.0.0.1 (Build ID: 527dba6f6e0cfbbc71bd6e7b88a52699bb48799) - Vista
Comment 3 Not Assigned 2013-01-25 23:56:24 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ea45e67c29b22b2c94375be3935f1343306a25c

show style when dialog is created with existing cond format, fdo#59778



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2013-02-01 17:10:30 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca92558fca923cce205bd8e67f906d1d7e03121e&h=libreoffice-4-0

show style when dialog is created with existing cond format, fdo#59778


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.